org.apache.sysds.runtime.instructions.fed

## Enum FEDInstruction.FEDType

- java.lang.Object
- - java.lang.Enum<FEDInstruction.FEDType>
  - - org.apache.sysds.runtime.instructions.fed.FEDInstruction.FEDType

All Implemented Interfaces:
  Serializable, Comparable<FEDInstruction.FEDType>

Enclosing class:
  FEDInstruction

    public static enum FEDInstruction.FEDType
    extends Enum<FEDInstruction.FEDType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AggregateBinary`
`AggregateTernary`
`AggregateUnary`
`Append`
`Binary`
`Ctable`
`CumulativeAggregate`
`Init`
`MatrixIndexing`
`MMChain`
`MultiReturnParameterizedBuiltin`
`ParameterizedBuiltin`
`QPick`
`QSort`
`Quaternary`
`Reorg`
`Reshape`
`SpoofFused`
`Ternary`
`Tsmm`
`Unary`

### Method Summary

All Methods Static Methods Concrete Methods
`static FEDInstruction.FEDType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FEDInstruction.FEDType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AggregateBinary

    public static final FEDInstruction.FEDType AggregateBinary

#### AggregateUnary

    public static final FEDInstruction.FEDType AggregateUnary

#### AggregateTernary

    public static final FEDInstruction.FEDType AggregateTernary

#### Append

    public static final FEDInstruction.FEDType Append

#### Binary

    public static final FEDInstruction.FEDType Binary

#### Ctable

    public static final FEDInstruction.FEDType Ctable

#### CumulativeAggregate

    public static final FEDInstruction.FEDType CumulativeAggregate

#### Init

    public static final FEDInstruction.FEDType Init

#### MultiReturnParameterizedBuiltin

    public static final FEDInstruction.FEDType MultiReturnParameterizedBuiltin

#### MMChain

    public static final FEDInstruction.FEDType MMChain

#### MatrixIndexing

    public static final FEDInstruction.FEDType MatrixIndexing

#### Ternary

    public static final FEDInstruction.FEDType Ternary

#### Tsmm

    public static final FEDInstruction.FEDType Tsmm

#### ParameterizedBuiltin

    public static final FEDInstruction.FEDType ParameterizedBuiltin

#### Quaternary

    public static final FEDInstruction.FEDType Quaternary

#### QSort

    public static final FEDInstruction.FEDType QSort

#### QPick

    public static final FEDInstruction.FEDType QPick

#### Reorg

    public static final FEDInstruction.FEDType Reorg

#### Reshape

    public static final FEDInstruction.FEDType Reshape

#### SpoofFused

    public static final FEDInstruction.FEDType SpoofFused

#### Unary

    public static final FEDInstruction.FEDType Unary

### Method Detail

#### values

    public static FEDInstruction.FEDType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (FEDInstruction.FEDType c : FEDInstruction.FEDType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static FEDInstruction.FEDType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null